transformers-0.3.0.0: Concrete functor and monad transformers

Portability | portable
Stability | experimental
Maintainer | libraries@haskell.org
Safe Haskell | Safe-Inferred

Control.Applicative.Backwards

Description

Making functors with an `Applicative` instance that performs actions in the reverse order.

Synopsis

- newtype Backwards f a = Backwards {
  - forwards :: f a
  }

# Documentation

newtype Backwards f a Source

The same functor, but with an `Applicative` instance that performs actions in the reverse order.

Constructors

Backwards |

Fields

forwards :: f a

Instances

Functor f => Functor (Backwards f) | Derived instance.
Applicative f => Applicative (Backwards f) | Apply `f`-actions in the reverse order.
Foldable f => Foldable (Backwards f) | Derived instance.
Traversable f => Traversable (Backwards f) | Derived instance.
Alternative f => Alternative (Backwards f) | Try alternatives in the same order as `f`.